## org.apache.catalina.startup
Class EngineConfig

    java.lang.Object
      org.apache.catalina.startup.EngineConfig

All Implemented Interfaces:
  LifecycleListener

public final class EngineConfig
extends java.lang.Object
implements LifecycleListener

Startup event listener for a Engine that configures the properties of that Engine, and the associated defined contexts.

Version:
  $Revision: 466595 $ $Date: 2006-10-21 23:24:41 +0100 (Sat, 21 Oct 2006) $
Author:
  Craig R. McClanahan

Constructor Summary
`EngineConfig()`

Method Summary
`int` `getDebug()` Return the debugging detail level for this component.
`void` `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Engine.
`void` `setDebug(int debug)` Set the debugging detail level for this component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineConfig

    public EngineConfig()

Method Detail

### getDebug

    public int getDebug()

  Return the debugging detail level for this component.

### setDebug

    public void setDebug(int debug)

  Set the debugging detail level for this component.

  Parameters:
    `debug` - The new debugging detail level

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Process the START event for an associated Engine.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The lifecycle event that has occurred

Copyright © 2000-2002 Apache Software Foundation. All Rights Reserved.